
Foreman - Bug #13759

500 when attempting to update a host

02/17/2016 09:40 AM - Walden Raines

Status: Ready For Testing   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3686,

https://github.com/theforeman/foreman/p

ull/3728

  

Description

JSON:

{

...

    "capabilities": ["build"]

...

}

 Response:

{

  "error": {"message":"unknown attribute: capabilities"}

}

 Ultimately one should be able to PUT back the exact same object received on a GET in order to update the object.

Related issues:

Related to Foreman - Bug #13672: PUTing protected attributes to /api/v2/hosts... New 02/11/2016

History

#1 - 02/17/2016 09:49 AM - Dominic Cleal

- Related to Bug #13672: PUTing protected attributes to /api/v2/hosts/:id results in 500 ISE added

#2 - 07/29/2016 04:01 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3686 added

#3 - 08/12/2016 08:07 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3728 added
